/usr/bin/lxterm is in xterm 297-1ubuntu1.
This file is owned by root:root, with mode 0o755.
The actual contents of the file can be viewed below.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 | #!/bin/sh
PROGNAME=${0##*/}
die () {
echo "$PROGNAME: fatal error: $*" >&2
exit 1
}
if ! which locale >/dev/null 2>&1; then
die "required program \"locale\" not available"
fi
case "$(locale charmap 2>/dev/null)" in
KOI8-R)
XTERM=koi8rxterm
;;
UTF-8)
XTERM=uxterm
;;
*)
XTERM=xterm
;;
esac
exec "$XTERM" "$@"
# vim:set ai et sw=4 ts=4 tw=80:
|